Subject: Re: bug#6792: 24.0.50; at revision 100946 GNU Emacs with Xaw3d does not compile

From: Dan Nicolaescu <[email-masked]>
Date: Wed, 04 Aug 2010 12:43:11 -0400

Peter Dyballa <[email-masked]> writes:

> Am 04.08.2010 um 08:50 schrieb Jan D.:
>
>> Why aren't you setting CFLAGS and LDFLAGS?
>
> Because last week or at least month this was not necessary.
>
>> That is the way it is supposed to be done, no need to modify any
>> configure script:
>>
>> % LDFLAGS=-L/sw/lib CFLAGS='-O2 -g -I/sw/include' ./configure ...
>
>
> Then why is the configure script setting for an internal use these
> GCC_TEST_OPTIONS without propagating them later to the compiler? By
> this means (failure) configure does its job in a different environment
> than the compiler, configure will find things working which
> *obviously* fail for the compiler. Or why was compilation set for
> Xaw3d? Certainly not because I demanded that and configure could *not*
> find it's there. This state isn't the purpose of the configure
> script...
>
>
> BTW, compilation also fails when GCC_TEST_OPTIONS is set for MacPorts'
> Xaw3d at the same statement(s). IMO the configure script is broken.
> I'm going to check whether it works at all for the default GTK
> interface.

It seems that support for GCC_TEST_OPTIONS was removed here:

revno: 100791
committer: Andreas Schwab <[email-masked]>
branch nick: emacs
timestamp: Mon 2010-07-12 16:16:38 +0200
message:
  Properly handle C_WARNINGS_SWITCH, PROFILING_CFLAGS, PROFILING_LDFLAGS
  
  * configure.in (C_WARNINGS_SWITCH, PROFILING_CFLAGS)
  (PROFILING_LDFLAGS): Substitute, don't add them to CFLAGS/LDFLAGS.
  (C_OPTIMIZE_SWITCH): Remove.
  (TEMACS_LDFLAGS2): Add ${PROFILING_LDFLAGS}.